Page MenuHomePhabricator

All repositories that have browser tests should be updated to the latest version of watir-webdriver
Closed, ResolvedPublic

Description

T92613 was about Browser-Tests being slow when using Sauce Labs. @dduvall created a patch that speeds things up. To get the benefit of the patch, all repositories that have browser tests should be updated to the latest version of watir-webdriver.

Repositorywatir-webdriverActiveGerrit
mediawiki0.8.0
ArticleFeedbackv50.6.9
CentralAuth0.7.0238849
CentralNotice0.7.0238851
CirrusSearch0.6.10238860
ContentTranslation0.7.0238881
Echo0.6.11238942
Flow0.8.0
Gather0.8.0
GettingStarted0.6.11238964
Math0.6.11235464
MobileFrontend0.8.0
MultimediaViewer0.7.0238971
PageTriage0.6.9238975
QuickSurveys0.8.0
Translate0.6.9239115
TwnMainPage0.6.9240666
UniversalLanguageSelector0.7.0240669
UploadWizard0.7.0240670
VisualEditor0.8.0
WikiLove0.8.0
ZeroBanner0.6.8T113463
ZeroPortal0.6.11240672
WikidataBrowserTests0.8.0

Related Objects

Event Timeline

zeljkofilipin claimed this task.
zeljkofilipin raised the priority of this task from to Normal.
zeljkofilipin updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 12:58 PM
zeljkofilipin renamed this task from All repositories that have browser tests should be updated to the latest version of watir-webdriver. to All repositories that have browser tests should be updated to the latest version of watir-webdriver.Sep 16 2015, 1:02 PM
zeljkofilipin set Security to None.
This comment was removed by zeljkofilipin.
zeljkofilipin updated the task description. (Show Details)

Change 238849 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238849

Change 238851 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238851

Change 238881 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238881

Change 238942 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238942

Change 238964 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238964

Change 238968 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238968

Change 238971 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238971

Change 238975 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238975

Change 238881 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238881

Change 238968 abandoned by Zfilipin:
Updated watir-webdriver Ruby gem to the latest version

Reason:
Already done in https://gerrit.wikimedia.org/r/#/c/235464/

https://gerrit.wikimedia.org/r/238968

Change 235464 had a related patch set uploaded (by Zfilipin):
Upgrade browser tests to use mediawiki_selenium 1.x

https://gerrit.wikimedia.org/r/235464

Change 239115 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/239115

Change 239115 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/239115

Change 238942 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238942

Change 238849 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238849

Change 238851 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238851

zeljkofilipin updated the task description. (Show Details)

Change 240666 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/240666

Change 240669 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/240669

Change 240670 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/240670

Change 240672 had a related patch set uploaded (by Zfilipin):
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/240672

Change 238971 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238971

Jay8g added a subscriber: Jay8g.Sep 25 2015, 1:17 AM

Change 240669 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/240669

Change 240666 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/240666

Change 238964 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238964

Great, thanks for the testing! The three patches need a manual rebase, once done I will happily +2 them :}

Great, thanks for the testing! The three patches need a manual rebase, once done I will happily +2 them :}

The patches falling to merge were due to an issue with zuul ( T115243 ).

Change 238975 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/238975

Change 240670 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/240670

Change 240672 merged by jenkins-bot:
Updated watir-webdriver Ruby gem to the latest version

https://gerrit.wikimedia.org/r/240672

zeljkofilipin closed this task as Resolved.Oct 12 2015, 9:10 AM